--- old/usr/src/cmd/picl/plugins/common/devtree/picldevtree.c	Thu Jan 24 09:58:58 2019
+++ new/usr/src/cmd/picl/plugins/common/devtree/picldevtree.c	Thu Jan 24 09:58:58 2019
@@ -24,6 +24,10 @@
  */
 
 /*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
+/*
  * PICL plug-in that creates device tree nodes for all platforms
  */
 
@@ -1770,7 +1774,7 @@
 is_snapshot_stale(di_node_t root)
 {
 	snapshot_stale = 0;
-	di_walk_node(root, DI_WALK_CLDFIRST, NULL, check_stale_node);
+	(void) di_walk_node(root, DI_WALK_CLDFIRST, NULL, check_stale_node);
 	return (snapshot_stale);
 }
 
@@ -2546,8 +2550,8 @@
 		return (0);
 	}
 	(void) memcpy(*exportlist, opp->oprom_array, opp->oprom_size);
-	free(opp);
 	*exportlistlen = opp->oprom_size;
+	free(opp);
 	(void) close(d);
 	return (1);
 }
--- old/usr/src/cmd/picl/plugins/common/memcfg/piclmemcfg_comm.c	Thu Jan 24 09:58:59 2019
+++ new/usr/src/cmd/picl/plugins/common/memcfg/piclmemcfg_comm.c	Thu Jan 24 09:58:59 2019
@@ -21,6 +21,8 @@
 /*
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
+ *
+ * Copyright (c) 2018, Joyent, Inc.
  */
 
 /*
@@ -422,9 +424,9 @@
 		/*
 		 * Add property, Size to memory-segment node
 		 */
-		if ((ptree_init_propinfo(&propinfo, PTREE_PROPINFO_VERSION,
+		err = ptree_init_propinfo(&propinfo, PTREE_PROPINFO_VERSION,
 		    PICL_PTYPE_UNSIGNED_INT, PICL_READ, sizeof (mcseg->size),
-		    PICL_PROP_SIZE, NULL, NULL)) != PICL_SUCCESS)
+		    PICL_PROP_SIZE, NULL, NULL);
 		if (err != PICL_SUCCESS)
 			break;
 
